#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

#include "batterywidget.h"
#include "adapterwidget.h"
#include "fanwidget.h"
#include "thermalwidget.h"

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_pushButton_clicked();

private:
    Ui::Widget *ui;
    QVector<BatteryWidget*> m_butteryWidgetList;    // Вектор виджетов с батареями
    QVector<FanWidget*> m_fanWidgetList;            // Вектор виджетов с вентиляторами
    QVector<ThermalWidget*> m_thermalWidgetList;    // Вектор виджетов с тепловыми зонами
    AdapterWidget* m_adapterWidget;                 // Виджет для адаптера питания всегда один
};

#endif // WIDGET_H
